/**
* DevExtreme (ui/responsive_box.d.ts)
* Version: 18.1.6 (build 18275)
* Build date: Tue Oct 02 2018
*
* Copyright (c) 2012 - 2018 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import DevExpress from '../bundles/dx.all';

declare global {
interface JQuery {
    dxResponsiveBox(): JQuery;
    dxResponsiveBox(options: "instance"): DevExpress.ui.dxResponsiveBox;
    dxResponsiveBox(options: string): any;
    dxResponsiveBox(options: string, ...params: any[]): any;
    dxResponsiveBox(options: DevExpress.ui.dxResponsiveBoxOptions): JQuery;
}
}
export default DevExpress.ui.dxResponsiveBox;
export type IOptions = DevExpress.ui.dxResponsiveBoxOptions;